import { ReadStream, IReadableStreamOptions } from 'bluestream';
import { RedisLoader } from './redis-loader';
declare type ScanCommand = 'scan' | 'sscan' | 'hscan' | 'zscan' | 'scanBuffer' | 'sscanBuffer' | 'hscanBuffer' | 'zscanBuffer';
export interface ScanStreamOptions {
    key?: string;
    match?: string;
    count?: string | number;
}
interface ScanStreamConstructorOptions extends IReadableStreamOptions, ScanStreamOptions {
    redis: RedisLoader;
    command: ScanCommand;
}
export declare class ScanStream extends ReadStream {
    private _redis;
    private _command;
    private _nextCursor;
    private _key;
    private _match;
    private _count;
    constructor({ redis, command, key, match, count, ...opts }: ScanStreamConstructorOptions);
    _read(): Promise<void>;
}
export {};
